﻿using System.Collections.Generic;

namespace Korero.Database
{
    public class DatabaseMessageTimeComparer : IComparer<DatabaseMessage>
    {
        #region Interface

        public int Compare(DatabaseMessage x, DatabaseMessage y)
        {
            if (ReferenceEquals(x, y))
            {
                return 0;
            }

            if (ReferenceEquals(null, y))
            {
                return 1;
            }

            if (ReferenceEquals(null, x))
            {
                return -1;
            }

            return x.Time.CompareTo(y.Time);
        }

        #endregion
    }
}