﻿using System;
using System.IO;

namespace Korero.Notifications
{
    public class NotificationEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public int Timeout { get; set; }

        public Stream Sound { get; set; }

        public string Message { get; set; }

        public string Title { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public NotificationEventArgs(string title, string message, Stream sound, int timeout)
        {
            Title = title;
            Message = message;
            Sound = sound;
            Timeout = timeout;
        }

        #endregion
    }
}