﻿using System;

namespace Korero.Selection
{
    public class GroupSelectedEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public GroupSelection GroupSelection { get; set; }

        public dynamic Data { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public GroupSelectedEventArgs()
        {
        }

        public GroupSelectedEventArgs(GroupSelection groupSelection, dynamic data) : this()
        {
            Data = data;
            GroupSelection = groupSelection;
        }

        #endregion
    }
}