﻿using System;
using System.Windows.Forms;

namespace Korero.Chat
{
    public partial class AutoResponseForm : Form
    {
        #region Public Events & Delegates

        public event EventHandler<AutoResponseSetEventArgs> AutoResponseSet;

        #endregion

        #region Constructors, Destructors and Finalizers

        public AutoResponseForm()
        {
            InitializeComponent();
        }

        #endregion

        #region Event Handlers
        private void AutoResponseForm_Load(object sender, EventArgs e)
        {
            Utilities.WindowState.FormTracker.Track(this);
        }
        private void Button1_Click(object sender, EventArgs e)
        {
            AutoResponseSet?.Invoke(this, new AutoResponseSetEventArgs(richTextBox1.Text));

            Close();
        }

        #endregion


    }
}