﻿using Korero.Database;

namespace Korero.Chat
{
    public class ConversationGroup : Conversation
    {
        #region Constructors, Destructors and Finalizers

        public ConversationGroup(string name)
        {
            Name = name;
        }

        public ConversationGroup(DatabaseMessageGroup databaseMessageGroup)
        {
            Name = databaseMessageGroup.Group;
        }

        public ConversationGroup(string name, int seen) : this(name)
        {
            Seen = seen == 1;
        }

        #endregion
    }
}