﻿using System;

namespace Korero.Selection
{
    public class AvatarSelectedEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public AvatarSelection AvatarSelection { get; set; }

        public dynamic Data { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public AvatarSelectedEventArgs()
        {
        }

        public AvatarSelectedEventArgs(AvatarSelection avatarSelection, dynamic data) : this()
        {
            Data = data;
            AvatarSelection = avatarSelection;
        }

        #endregion
    }
}