﻿namespace Korero.Selection
{
    public class AvatarSelection
    {
        #region Public Enums, Properties and Fields

        public string FirstName => Name.Split(' ')[0];

        public string LastName => Name.Split(' ')[1];

        public string Name { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public AvatarSelection(string firstName, string lastName)
        {
            Name = $"{firstName} {lastName}";
        }

        public AvatarSelection(string name)
        {
            Name = name;
        }

        #endregion
    }
}