﻿using System;

namespace Korero.Teleport
{
    public class LandmarkComboBoxItem
    {
        #region Public Enums, Properties and Fields

        public Guid Id { get; set; }

        public string Name { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public LandmarkComboBoxItem(string name, Guid id)
        {
            Name = name;
            Id = id;
        }

        #endregion

        #region Public Overrides

        public override string ToString()
        {
            return Name;
        }

        #endregion
    }
}